function P = new_vospr(E,koef_lev,koef_prv,E_lev_min,E_prv_min)
% === new_vospr.m === вычисление значений коэфф-та восприятия ===
% E - отношение сигнал-шум (аргумент коэфф-та восприятия)
% P - значение коэфф-та восприятия
% koef_lev - коэф-ты полинома. описывающего левую ветку коэфф-та восприятия
% koef_prv - коэф-ты полинома. описывающего прав. ветку коэфф-та восприятия
% E_lev_min - левая граница значений аргумента полинома
% E_prv_min - правая граница значений аргумента полинома

if E < E_lev_min
    P = 0;
else
    if E<=0
        P = polyval(koef_lev,E);
    else
        if E<=E_prv_min
            P = polyval(koef_prv,E);
        else
            P = 1;
        end
    end
end
